Skip to main content
POST
Archive Workflow

Authorizations

Authorization
string
header
required

The access_token returned by POST /apikeys/token for an API key's secret.

Path Parameters

workflow_id
string
required

Query Parameters

Body

application/json
archived
boolean
default:true

Response

Successful Response

id
string
required
name
string
required
description
string
default:""
version
string
default:1.0.0
status
string
default:active
step_count
integer
default:0
steps
Steps · object[]
input_schema
Input Schema · object
output_schema
Output Schema · object
error_handling
Error Handling · object
metadata
Metadata · object
toolkits
Toolkits · object[]
created_by
string | null
created_by_email
string | null
created_at
string | null
updated_at
string | null
visibility
string
default:private
allowed_groups
string[]
allowed_user_ids
string[]
revision
integer
default:1
edit_seq
integer
default:0
published_revision
integer | null
from_use_case
FromUseCase · object | null

The use case an agent or a workflow was activated from, and the artifact version copied.

governance_warnings
string[] | null
last_run
WorkflowLastRun · object | null

Most recent execution summary shown on the workflows list (B1).

run_count
integer
default:0
pending_approvals
integer
default:0
last_run_execution_id
string | null
recent_statuses
string[]
cost_30d
number | null
tags
string[]
is_favourite
boolean
default:false